package recursion

object TailCalls {

    @JvmStatic
    fun <T> tailCall(nextCall: () -> TailCall<T>) = object : TailCall<T> {
        override fun apply() = nextCall()
    }

    @JvmStatic
    fun <T> done(value: T) = object : TailCall<T> {
        override fun isComplete() = true
        override fun result() = value
        override fun apply() = throw UnsupportedOperationException()
    }
}